Forum > Linux

install fail Lazarus 2.2.2, ubuntu 24.x, 20.x

(1/2) > >>

RonQ:
have Lazarus 2.0.2 working on linux ubuntu 22.04 LTS, or 20.x
installing/upgrading to Lazarus 2.2.2 fails in the GUI environment.
Tried in the Terminal, fails with error:
<$ sudo apt install lazarus-project_2.2.2-0_amd64
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package lazarus-project_2.2.2-0_amd64
>
... am lost....

MarkMLl:
Make sure that your distro provided that package. If in doubt discuss with them since they're the ones who build it.

Having said which, there's a lot of advantages to only using your distro to provide prerequisite libraries, and getting bit FPC and Lazarus from this project... either via the downloads links shown

<----- OVER THERE SOMEWHERE :-)

or from Gitlab.

MarkMLl

tetrastes:

--- Quote from: RonQ on August 19, 2022, 04:53:26 pm ---have Lazarus 2.0.2 working on linux ubuntu 22.04 LTS, or 20.x
installing/upgrading to Lazarus 2.2.2 fails in the GUI environment.
Tried in the Terminal, fails with error:
<$ sudo apt install lazarus-project_2.2.2-0_amd64
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package lazarus-project_2.2.2-0_amd64
>
... am lost....

--- End quote ---

https://wiki.lazarus.freepascal.org/Installing_Lazarus_on_Linux#FPC_and_Lazarus_from_SourceForge


--- Quote from: MarkMLl on August 19, 2022, 06:31:05 pm ---Make sure that your distro provided that package. If in doubt discuss with them since they're the ones who build it.

Having said which, there's a lot of advantages to only using your distro to provide prerequisite libraries, and getting bit FPC and Lazarus from this project... either via the downloads links shown

<----- OVER THERE SOMEWHERE :-)

--- End quote ---
That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)


MarkMLl:

--- Quote from: tetrastes on August 19, 2022, 10:07:47 pm ---That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)

--- End quote ---

Only if he's updated his sources.list (etc.) file which controls where apt is looking.

I don't know whether Ubuntu uses that package name, but Debian certainly doesn't. So in the absense of more detailed info from OP I decided a stock answer was in order.

MarkMLl

tetrastes:

--- Quote from: MarkMLl on August 19, 2022, 10:33:57 pm ---
--- Quote from: tetrastes on August 19, 2022, 10:07:47 pm ---That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)

--- End quote ---

Only if he's updated his sources.list (etc.) file which controls where apt is looking.

--- End quote ---

Or if he is trying to install manually downloaded package.


--- Quote ---I don't know whether Ubuntu uses that package name, but Debian certainly doesn't.
--- End quote ---

Ubuntu doesn't also.

Navigation

[0] Message Index

[#] Next page

Go to full version